Subject: [os2genau_digest] No. 1032
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 24 Jan 2005 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 23 January 2005
 Number  1032
**************************************************

Subjects for today
 
1   LVM problem : Alan Whitehead <awhitehd at zipworld dot com dot au>

**= Email   1 ==========================**

Date:  Sun, 23 Jan 2005 21:49:35 +1100
From:  Alan Whitehead <awhitehd at zipworld dot com dot au>
Subject:   LVM problem

I have finally installed eCS 1.2 on my main machine. The problem I have 
is that this machine has a Gigabyte GA-7N400 Pro main board, which just 
refuses to allow eCS to install. I think this has been reported by 
others before, and is probably due to the nVidia chipset onboard.

To get around this, I swapped out the install HDD to another machine and 
installed eCS flawlessly. After reinstalling the HDD into the main 
machine again, eCS boots without problem and functions as expected until 
LVM or any application requiring LVM is started, whereupon absolutely 
nothing happens.

After trying every permutation I can think of, the following 
consistently occurs:
LVM GUI - commences then stops abruptly and exits before any windows are 
drawn, sometimes leaving what appears to be a VIO zombie.
LVM CL - reports an error "Cannot (sic) open the LVM engine. Press any 
key when ready..." then exits.
MimiLVM - halts with an error. "LVM Error (10) Invalid Partition".

If any of these applications are run in their installed directory from a 
maintenenance or other OS/2 partition they work as expected. If the HDD 
is reinstalled in the installation machine, all apps run as expected. 
The problem presents regardless of whether OS/2 Boot Manager, or AirBoot 
is the boot loader. DFSee does not appear to report any inconsistencies. 
I have noted that in the OS/2 Boot Manager the partition is labelled 
LVM* while AirBoot reports the volume label correctly as eComStation.

I have deleted and recreated the partiton, then reinstalled, but the 
problem persists. This has me stumped, I can't think what the cause of 
this is apart from something in the MBR that otherwise eludes me, but 
there is probably something quite simple that I have overlooked.

Can anyone provide some insight into this abberation?

Regards,

Alan
----------------------------------------------------------------------------------